USN-5404-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5404-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5404-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5404-1
Related
Published
2022-05-05T18:27:25.840208Z
Modified
2022-05-05T18:27:25.840208Z
Summary
rsyslog vulnerability
Details

Pieter Agten discovered that Rsyslog incorrectly handled certain requests. An attacker could possibly use this issue to cause a crash.

References

Affected packages

Ubuntu:22.04:LTS / rsyslog

Package

Name
rsyslog

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8.2112.0-2ubuntu2.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "rsyslog": "8.2112.0-2ubuntu2.2",
            "rsyslog-czmq": "8.2112.0-2ubuntu2.2",
            "rsyslog-openssl": "8.2112.0-2ubuntu2.2",
            "rsyslog-kafka": "8.2112.0-2ubuntu2.2",
            "rsyslog-mysql": "8.2112.0-2ubuntu2.2",
            "rsyslog-elasticsearch": "8.2112.0-2ubuntu2.2",
            "rsyslog-relp": "8.2112.0-2ubuntu2.2",
            "rsyslog-mongodb": "8.2112.0-2ubuntu2.2",
            "rsyslog-gnutls": "8.2112.0-2ubuntu2.2",
            "rsyslog-kubernetes": "8.2112.0-2ubuntu2.2",
            "rsyslog-hiredis": "8.2112.0-2ubuntu2.2",
            "rsyslog-gssapi": "8.2112.0-2ubuntu2.2",
            "rsyslog-pgsql": "8.2112.0-2ubuntu2.2",
            "rsyslog-snmp": "8.2112.0-2ubuntu2.2"
        }
    ]
}

Ubuntu:20.04:LTS / rsyslog

Package

Name
rsyslog

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8.2001.0-1ubuntu1.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "rsyslog": "8.2001.0-1ubuntu1.3",
            "rsyslog-czmq": "8.2001.0-1ubuntu1.3",
            "rsyslog-gnutls": "8.2001.0-1ubuntu1.3",
            "rsyslog-openssl": "8.2001.0-1ubuntu1.3",
            "rsyslog-hiredis": "8.2001.0-1ubuntu1.3",
            "rsyslog-gssapi": "8.2001.0-1ubuntu1.3",
            "rsyslog-elasticsearch": "8.2001.0-1ubuntu1.3",
            "rsyslog-mysql": "8.2001.0-1ubuntu1.3",
            "rsyslog-mongodb": "8.2001.0-1ubuntu1.3",
            "rsyslog-relp": "8.2001.0-1ubuntu1.3",
            "rsyslog-pgsql": "8.2001.0-1ubuntu1.3",
            "rsyslog-kafka": "8.2001.0-1ubuntu1.3"
        }
    ]
}

Ubuntu:18.04:LTS / rsyslog

Package

Name
rsyslog

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8.32.0-1ubuntu4.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "rsyslog": "8.32.0-1ubuntu4.2",
            "rsyslog-czmq": "8.32.0-1ubuntu4.2",
            "rsyslog-gnutls": "8.32.0-1ubuntu4.2",
            "rsyslog-hiredis": "8.32.0-1ubuntu4.2",
            "rsyslog-gssapi": "8.32.0-1ubuntu4.2",
            "rsyslog-elasticsearch": "8.32.0-1ubuntu4.2",
            "rsyslog-mysql": "8.32.0-1ubuntu4.2",
            "rsyslog-mongodb": "8.32.0-1ubuntu4.2",
            "rsyslog-relp": "8.32.0-1ubuntu4.2",
            "rsyslog-pgsql": "8.32.0-1ubuntu4.2",
            "rsyslog-kafka": "8.32.0-1ubuntu4.2"
        }
    ]
}